Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class ContactHandler

    java.lang.Object
      com.verisign.epp.framework.EPPContactHandler
          com.verisign.epp.serverstub.ContactHandler

All Implemented Interfaces:
  EPPEventHandler

Direct Known Subclasses:
  JobsContactHandler

    public class ContactHandler

extends EPPContactHandler

The `ContactHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPContactHandler` class. It defines the Server's response to all received EPP Host Commands.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPEvent`, `EPPEventResponse`

Constructor Summary
`ContactHandler()` Constructs an instance of `ContactHandler`

Method Summary
`protected EPPEventResponse` | `doContactCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Check command is received.
`protected EPPEventResponse` | `doContactCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Create command is received.
`protected EPPEventResponse` | `doContactDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Delete command is received.
`protected EPPEventResponse` | `doContactInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Info command is received.
`protected EPPEventResponse` | `doContactTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Transfer command is received.
`protected EPPEventResponse` | `doContactUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Update command is received.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Contact commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Contact commands need to execute before they execute their command specific behavior.

Methods inherited from class com.verisign.epp.framework.EPPContactHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactHandler

    public ContactHandler()

  Constructs an instance of `ContactHandler`

Method Detail

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all Contact commands need to execute before they execute their command specific behavior.

  Overrides:
    `preHandleEvent` in class `EPPContactHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all Contact commands need to execute after they execute their command specific behavior.

  Overrides:
    `postHandleEvent` in class `EPPContactHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doContactDelete

    protected EPPEventResponse doContactDelete(EPPEvent aEvent,
                                               java.lang.Object aData)

  Invoked when a Contact Delete command is received.

  Specified by:
    `doContactDelete` in class `EPPContactHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doContactCreate

    protected EPPEventResponse doContactCreate(EPPEvent aEvent,
                                               java.lang.Object aData)

  Invoked when a Contact Create command is received.

  Specified by:
    `doContactCreate` in class `EPPContactHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doContactUpdate

    protected EPPEventResponse doContactUpdate(EPPEvent aEvent,
                                               java.lang.Object aData)

  Invoked when a Contact Update command is received.

  Specified by:
    `doContactUpdate` in class `EPPContactHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doContactInfo

    protected EPPEventResponse doContactInfo(EPPEvent aEvent,
                                             java.lang.Object aData)

  Invoked when a Contact Info command is received.

  Specified by:
    `doContactInfo` in class `EPPContactHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doContactTransfer

    protected EPPEventResponse doContactTransfer(EPPEvent aEvent,
                                                 java.lang.Object aData)

  Invoked when a Contact Transfer command is received.

  Specified by:
    `doContactTransfer` in class `EPPContactHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doContactCheck

    protected EPPEventResponse doContactCheck(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Contact Check command is received.

  Specified by:
    `doContactCheck` in class `EPPContactHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.